summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mario2010-07-01 09:04:24 +0200
committer Robby Workman2010-07-01 09:04:24 +0200
commit53d7865ee07138dc883405c016089cecb3b92c61 (patch)
treeaed76c69e9623fdfb9e1a52022671aee7386ee31
parent28e109f822d3cf3a7df78a2d8282f3795e561e90 (diff)
downloadslackbuilds-53d7865ee07138dc883405c016089cecb3b92c61.tar.gz
network/skype: Updated for version 2.1.0.81.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/skype/README9
-rw-r--r--network/skype/doinst.sh19
-rw-r--r--network/skype/skype.SlackBuild37
-rw-r--r--network/skype/skype.info12
4 files changed, 33 insertions, 44 deletions
diff --git a/network/skype/README b/network/skype/README
index a4419d1277..9fd8399ce5 100644
--- a/network/skype/README
+++ b/network/skype/README
@@ -1,7 +1,6 @@
-Skype is a free Voice Over IP program for Linux, Windows and
-MacOS. It allows users to communicate with other Skype users
-running any of the supported platforms, as well as receiving
-and placing calls from and to normal land lines as well as
-mobile phones.
+Skype is a free Voice Over IP program for Linux, Windows and MacOS.
+It allows users to communicate with other Skype users running any of
+the supported platforms, as well as receiving and placing calls from
+and to normal land lines as well as mobile phones.
This script repackages the shared tarball provided by Skype.
diff --git a/network/skype/doinst.sh b/network/skype/doinst.sh
index 0b412635df..4e8ba7071d 100644
--- a/network/skype/doinst.sh
+++ b/network/skype/doinst.sh
@@ -1,21 +1,4 @@
-#!/bin/sh
-
-config() {
- NEW="$1"
- OLD="$(dirname $NEW)/$(basename $NEW .new)"
- # If there's no config file by that name, mv it over:
- if [ ! -r $OLD ]; then
- mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
- # toss the redundant copy
- rm $NEW
- fi
- # Otherwise, we leave the .new copy for the admin to consider...
-}
-
-config etc/dbus-1/system.d/skype.conf.new
-
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
diff --git a/network/skype/skype.SlackBuild b/network/skype/skype.SlackBuild
index 386ec52a79..289b65f125 100644
--- a/network/skype/skype.SlackBuild
+++ b/network/skype/skype.SlackBuild
@@ -21,47 +21,54 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# Modified by the SlackBuilds.org project
# Ported from 12.1 repository; now only Skype 2.0 compatible
+# Updated for Skype 2.1.0.81 by mario <mario@slackverse.org>
PRGNAM=skype
-VERSION=2.0.0.72
-ARCH=i486 # leave this alone
+VERSION=2.1.0.81
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# This is a repackage of a binary distribution
-# CFLAGS are not required
+if [ "$ARCH" != "i486" ]; then
+ printf "$ARCH is not supported...\n"
+ exit 1
+fi
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-chmod 644 sounds/*
+chmod 0644 sounds/*
mkdir -p $PKG/usr/bin $PKG/usr/share/{skype,pixmaps,applications} \
$PKG/etc/dbus-1/system.d
cp -a skype $PKG/usr/bin
cp -a avatars sounds lang $PKG/usr/share/skype
-cp skype.desktop $PKG/usr/share/applications/skype.desktop
-cp icons/SkypeBlue_48x48.png $PKG/usr/share/pixmaps/skype.png
-cp skype.conf $PKG/etc/dbus-1/system.d/skype.conf.new
+cat skype.desktop > $PKG/usr/share/applications/skype.desktop
+cat icons/SkypeBlue_48x48.png > $PKG/usr/share/pixmaps/skype.png
+cat skype.conf > $PKG/etc/dbus-1/system.d/skype.conf
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# If we strip it, it segfaults, so lets disable this for now.
+#find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/network/skype/skype.info b/network/skype/skype.info
index c6f39f7791..960adbcaf6 100644
--- a/network/skype/skype.info
+++ b/network/skype/skype.info
@@ -1,10 +1,10 @@
PRGNAM="skype"
-VERSION="2.0.0.72"
+VERSION="2.1.0.81"
HOMEPAGE="http://www.skype.com"
-DOWNLOAD="http://puppylinux.dreamhosters.com/download/download_misc/skype/skype-2.0.0.72.tar.bz2"
-MD5SUM="71fa47d788e73bcaf5b788be9236e97d"
+DOWNLOAD="http://download.skype.com/linux/skype-2.1.0.81.tar.bz2"
+MD5SUM="5411dcf89e33f53df5fbe5958bbaef54"
DOWNLOAD_x86_64="UNSUPPORTED"
MD5SUM_x86_64=""
-MAINTAINER="Mauro Giachero"
-EMAIL="mauro dot giachero at gmail dot com"
-APPROVED="rworkman,pprkut"
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="rworkman"